Package com.netrics.likeit

## Class NetricsRecord

- java.lang.Object
- - com.netrics.likeit.NetricsBaseRecord
  - - com.netrics.likeit.NetricsRecord

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `NetricsMappedRecord`

      public class NetricsRecord
      extends NetricsBaseRecord

  This class holds a single table record for a ibi™ Patterns - Search table. This represents a single table record. The record may be a standard record, a parent record or a child record.

  This is a simple extension of NetricsBaseRecord. Use of this class indicates that only single table records are accepted, not joined compound records.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NetricsRecord.ChildType` | The different types of child records.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsRecord​(java.lang.String key, java.lang.String[] fields)` | Create a NetricsRecord object.
    `NetricsRecord​(java.lang.String key, java.lang.String[] fields, java.lang.String[] attr_names, java.lang.String[] attr_values)` | Create a NetricsRecord object.
    `NetricsRecord​(java.lang.String key, java.lang.String parent_key, java.lang.String[] fields)` | Create a NetricsRecord object.
    `NetricsRecord​(java.lang.String key, java.lang.String parent_key, java.lang.String[] fields, java.lang.String[] attr_names, java.lang.String[] attr_values)` | Create a NetricsRecord object.

  - ### Method Summary

    - ### Methods inherited from class com.netrics.likeit.NetricsBaseRecord

      `compare, getAttribute, getAttrNames, getAttrValues, getFields, getKey, getParentKey, numBytes, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetricsRecord

          public NetricsRecord​(java.lang.String key,
                               java.lang.String parent_key,
                               java.lang.String[] fields)

      Create a NetricsRecord object.

      Parameters:
        `key` - A unique (user-specified) identifier for the record.
        `parent_key` - Key of the record's parent. If this is null or empty a standard record is created instead of a child record.
        `fields` - The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.

    - #### NetricsRecord

          public NetricsRecord​(java.lang.String key,
                               java.lang.String parent_key,
                               java.lang.String[] fields,
                               java.lang.String[] attr_names,
                               java.lang.String[] attr_values)

      Create a NetricsRecord object.

      Parameters:
        `key` - A unique (user-specified) identifier for the record.
        `parent_key` - Key of the record's parent. If this is null or empty a standard record is created instead of a child record.
        `fields` - The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.
        `attr_names` - Names of attributes associated with this record.
        `attr_values` - Values of attributes associated with this record, in the same order as attr_names.
      Throws:
        `java.lang.IllegalArgumentException` - If attributes arrays are not consistent.

    - #### NetricsRecord

          public NetricsRecord​(java.lang.String key,
                               java.lang.String[] fields,
                               java.lang.String[] attr_names,
                               java.lang.String[] attr_values)

      Create a NetricsRecord object.

      Parameters:
        `key` - A unique (user-specified) identifier for the record.
        `fields` - The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.
        `attr_names` - Names of attributes associated with this record.
        `attr_values` - Values of attributes associated with this record, in the same order as attr_names.
      Throws:
        `java.lang.IllegalArgumentException` - If attributes arrays are not consistent.

    - #### NetricsRecord

          public NetricsRecord​(java.lang.String key,
                               java.lang.String[] fields)

      Create a NetricsRecord object.

      Parameters:
        `key` - A unique (user-specified) identifier for the record.
        `fields` - The actual content associated with the record, one String per field in the table. Use the empty sting ("") for a field with no data in it. A field may be no longer than 2^16-3.
      Throws:
        `java.lang.IllegalArgumentException` - If attributes arrays are not consistent.